<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/* ウィジェットの内容を指定する */
function haup_bizsite_admin_info_widget() {
	include_once( ABSPATH . WPINC . '/feed.php' );

	//URLの設定
	//更新情報
	$url = esc_url( HAUP_PLUGIN_DOMAIN . '/category/cat-all/cat-hima-art-utility/cat-hau-updates/feed');
	$rss_ud = fetch_feed( $url );
	//通常のフィード(20241127 関数やフック、英語ページを除外)
	$rss_feed_url = esc_url(HAUP_PLUGIN_DOMAIN . '/category/cat-all/feed');
	$rss = fetch_feed( $rss_feed_url );

	//更新情報の処理
	if ( !is_wp_error( $rss_ud ) ) {
		$maxitems_ud = $rss_ud->get_item_quantity( 2 );
		$rss_items_ud = $rss_ud->get_items( 0, $maxitems_ud );
	}

	//通常フィードの処理
	if ( !is_wp_error( $rss ) ) {
		$maxitems = $rss->get_item_quantity( 3 );
		$rss_items = $rss->get_items( 0, $maxitems );
	}

//ウィジェットの内容
?>
<h3><?php echo esc_attr(__('Hima Art Utility Plugin Update Information','hima-art-utility')); ?></h3>
<ul>
<?php foreach ( $rss_items_ud as $item_ud ) : ?>
<li>
<span class="date"><?php echo esc_attr($item_ud->get_date('Y.m.d'));// 日付 ?></span>
</li>
<li>
<a href="<?php echo esc_url($item_ud->get_permalink()); ?>" target="_blank">
<?php echo esc_attr($item_ud->get_title());// タイトル ?>
</a>
</li>
<?php endforeach; ?>
</ul>

<h3><?php echo esc_attr(__('Other new articles','hima-art-utility')); ?></h3>
<ul>
<?php foreach ( $rss_items as $item ) : ?>
<li>
<span class="date"><?php echo esc_attr($item->get_date('Y.m.d'));// 日付 ?></span>
</li>
<li>
<a href="<?php echo esc_url($item->get_permalink()); ?>" target="_blank">
<?php echo esc_attr($item->get_title());// タイトル ?>
</a>
</li>
<?php endforeach; ?>
</ul>
<?php
}

/* ウィジェットの内容を含むウィジェットを追加する */
function haup_add_dashboard_info_widget() {
	$info_dash_header = __('Whats New on the Hima Art Utility Plugin Site','hima-art-utility');

	wp_add_dashboard_widget(
		'haup_info_widget',
		$info_dash_header ,
		'haup_bizsite_admin_info_widget'
	);
}
add_action( 'wp_dashboard_setup', 'haup_add_dashboard_info_widget' );